> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Subscription

> Pauses recurring billing for a subscription. Billing remains suspended until the subscription is resumed manually or automatically on the specified resume date.

**Note:**

- If `resumeAt` is omitted, the subscription remains paused until it is resumed manually.



## OpenAPI

````yaml /openapi.json patch /subscription/api/v1/subscriptions/{id}/pause
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /subscription/api/v1/subscriptions/{id}/pause:
    patch:
      tags:
        - Subscription Lifecycle
      summary: Pause Subscription
      description: >-
        Pauses recurring billing for a subscription. Billing remains suspended
        until the subscription is resumed manually or automatically on the
        specified resume date.


        **Note:**


        - If `resumeAt` is omitted, the subscription remains paused until it is
        resumed manually.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the subscription.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/pauseSubscriptionRequest'
            examples:
              Pause Subscription Plan:
                summary: Pause Subscription
                value:
                  resumeAt: '2026-08-01T00:00:00'
      responses:
        '200':
          description: Request Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pauseSubscriptionResponse'
              examples:
                Pause Successful:
                  summary: Pause Successful
                  value:
                    success: true
                    message: Subscription paused
                    data:
                      id: 22
                      customerId: test-trial-2
                      customerEmail: johndoe@gmail.com
                      status: PAUSED
                      enrollmentReference: SUBREF_EE9A8CD25F38423B87
                      enrollmentTxnReference: SUB_ENROLL_22_1783543549106
                      pausedAt: '2026-07-08T22:05:03.791857158'
                      pauseResumesAt: '2026-07-08T22:05:52.596019689'
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
components:
  schemas:
    pauseSubscriptionRequest:
      title: Pause Subscription Request
      type: object
      properties:
        resumeAt:
          type: string
          format: date-time
          description: Date and time when the subscription should automatically resume.
          example: '2026-08-01T00:00:00'
    pauseSubscriptionResponse:
      title: Pause Subscription Response
      type: object
      properties:
        success:
          type: boolean
          description: Indicates if the request was successful.
          example: true
        message:
          type: string
          description: Descriptive message confirming the pause operation.
          example: Subscription paused
        data:
          type: object
          description: The payload containing the details of the paused subscription.
          properties:
            id:
              type: integer
              description: Unique internal identifier for the subscription.
              example: 22
            customerId:
              type: string
              description: Unique reference identifier assigned to the customer layer.
              example: test-trial-2
            customerEmail:
              type: string
              format: email
              description: The email address of the customer whose subscription was paused.
              example: johndoe@gmail.com
            status:
              type: string
              description: >-
                The updated lifecycle state of the subscription, which is now
                **PAUSED**.
              example: PAUSED
            enrollmentReference:
              type: string
              description: >-
                The global token signature identifying the authorized card
                reference.
              example: SUBREF_EE9A8CD25F38423B87
            enrollmentTxnReference:
              type: string
              description: >-
                Transaction baseline reference tracking the original enrollment
                event.
              example: SUB_ENROLL_22_1783543549106
            pausedAt:
              type: string
              format: date-time
              description: >-
                Timestamp indicating exactly when the subscription engine was
                paused.
              example: '2026-07-08T22:05:03.791857158'
            pauseResumesAt:
              type: string
              format: date-time
              description: >-
                Projected timestamp indicating when the system will
                automatically lift the pause and resume billing collections.
              example: '2026-07-08T22:05:52.596019689'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````